Bug 834317 - yum update fails for albumart-1.6,7-1.noarch
yum update fails for albumart-1.6,7-1.noarch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
16
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 10:27 EDT by andy.paterson
Modified: 2014-01-21 18:22 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:52:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andy.paterson 2012-06-21 10:27:02 EDT
Description of problem:
Transaction error - Apper:
ERROR with transaction check vs depsolve:
python(abi) = 2.5 is needed by albumart-1.6.6-1.noarch
Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum


Version-Release number of selected component (if applicable):
As above

Current python version (as maintained by apper) - Python 2.7.3

How reproducible:
Every time I run -
yum update

Steps to Reproduce:
1. yum update
  
Actual results:

As above - update fails for 
python3 - version 3 of the Python programming language aka Python 3000
python3-libs - Python 3 runtime libraries
python3-tkinter - A GUI toolkit for Python 3

Expected results:
Update should either not be attempted or succeed.

Additional info:
Comment 1 Dave Malcolm 2012-06-21 10:50:08 EDT
Thanks for filing this bug report.

python 2.5 is very old, and was in Fedora 7 through Fedora 10, so presumably this is a really old albumart rpm.

Reassigning to yum, as the "ERROR with transaction check vs depsolve:" message sounds relevant to the yum maintainer, though perhaps it's an apper bug?

Hope this is helpful
Comment 2 andy.paterson 2012-06-23 09:04:16 EDT
The problem must be with the packaging for albumart removal of this package enables python updates to succeed:

%yum remove albumart
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package albumart.noarch 0:1.6.6-1 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================================
 Package                              Arch                               Version                                Repository                             Size
============================================================================================================================================================
Removing:
 albumart                             noarch                             1.6.6-1                                installed                             798 k

Transaction Summary
============================================================================================================================================================
Remove  1 Package

Installed size: 798 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing    : albumart-1.6.6-1.noarch                                                                                                                  1/1 
  Verifying  : albumart-1.6.6-1.noarch                                                                                                                  1/1 

Removed:
  albumart.noarch 0:1.6.6-1                                                                                                                                 

Complete!


update now succeeds.
Comment 3 Fedora End Of Life 2013-01-16 11:50:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 15:52:43 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.